[android-components](../../../index.md) / [mozilla.components.service.digitalassetlinks](../../index.md) / [AssetDescriptor](../index.md) / [Web](./index.md)

# Web

`data class Web : `[`AssetDescriptor`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/digitalassetlinks/src/main/java/mozilla/components/service/digitalassetlinks/AssetDescriptor.kt#L23)

A web site asset descriptor.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Web(site: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`)`<br>A web site asset descriptor. |

### Properties

| Name | Summary |
|---|---|
| [site](site.md) | `val site: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)<br>URI representing the domain of the website. |
